Bug 100898 - booting with "confirm" causes questions during shutdown
booting with "confirm" causes questions during shutdown
Product: Red Hat Linux Beta
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-07-26 18:02 EDT by Jay Berkenbilt
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.31-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-03 19:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2003-07-26 18:02:28 EDT
Description of problem:

If you pass "confirm" on the kernel commandline to enable interface startup, you
get asked questions when changing runlevels or when shutting down.

Version-Release number of selected component (if applicable):

9.0.93, initscripts-7.28-1

How reproducible:


Steps to Reproduce:
1. boot with confirm passed ot the kernel
2. change runlevels or reboot
Actual results:

You are asked for confirmation.  sometimes you can't answer.  Anyway, rebooting
should not stop waiting for user interaction.  I never saw this behavior in
earlier releases.

Expected results:

Booting with confirm should not affect anything except for bootup.  Whatever
checks confirm should also probably check whether booting is currently in
progress.  I haven't looked at the code, but I'm sure I've never seen this before.

Additional info:

I had booted in confirm mode in runlevel 3 and run init 5 after getting my
XF86Config set up.  I got prompted for several items.  Later, I rebooted in
level 5 with confirm (and nogui) so I could disable some services temporarily. 
When I got everything set up and rebooted, I got prompted for S00killall and
S01reboot even though I had initiated the reboot from the graphical login screen.
Comment 1 Bill Nottingham 2003-09-03 19:27:27 EDT
Will be fixed in 7.31-1.

Note You need to log in before you can comment on or make changes to this bug.